import { payAchNoticeUrl } from '@/http/configAPI'

export const injectDenet = () => {
    closeAchPayNotice();
}

const isHasTabByUrl = (url, callback) => {
    let item
    chrome.tabs.query({}, (tab) => {
        for (let i in tab) {
            if (tab[i].url.indexOf(url) >= 0) {
                item = tab[i]
                break
            }
        }
        callback(item)
    })
}

const closeAchPayNotice = () => {
    if (window.location.href.indexOf(payAchNoticeUrl) > -1) {
        chrome.runtime.sendMessage({
            actionType: "CONTENT_CLOSE_ACH_PAY_NOTICE",
            data: {}
        }, () => { });
    }
}
